Recientes

La biblioteca cliente de Python se aloja en GitHub, y el paquete está disponible en PyPI.

La versión 10.0.0 de la biblioteca cliente introdujo varios cambios de interfaz que documentamos en la sección Biblioteca 10.0.0.

Requisitos

La biblioteca requiere Python 3.7 o una versión posterior. Ten en cuenta que la compatibilidad con Python 2 dejó de estar disponible en la versión 4.0.0 de la biblioteca. Para obtener más información, consulta esta entrada de blog.

Prerequisites

Antes de instalar la biblioteca, necesitarás un token de desarrollador y un ID de cliente. Las instrucciones para obtenerlas se describen en la sección Requisitos previos. Ten en cuenta que generarás los otros tokens de OAuth2 obligatorios en los pasos posteriores.

Instalación

Sigue las instrucciones de nuestra documentación sobre instalación para instalar la biblioteca desde PyPi y regresar a esta página.

Configuración

Una vez que hayas instalado la biblioteca, deberás establecer una configuración para ella. Hay varias maneras de configurar la biblioteca, que se describen en nuestra documentación de configuración.

Autenticación

Una vez que elijas un tipo de configuración, puedes generar los tokens de OAuth2 restantes que se necesitan para realizar solicitudes a la API. Hay varios flujos de OAuth2 admitidos, que están documentados en la lista a continuación. Para obtener más información sobre las diferencias entre los flujos y decidir cuál es el mejor para tu aplicación, consulta nuestra documentación de OAuth.

Cómo realizar una solicitud a la API

Una vez que incorpores tus tokens OAuth2 a la configuración, estarás listo para realizar una solicitud a la API. Consulta el ejemplo de cómo obtener campañas a fin de obtener una forma sencilla de probar que la biblioteca está configurada correctamente para realizar solicitudes a la API.

Recursos adicionales

Una vez que puedas realizar una solicitud a la API, continúa con estos usos de la biblioteca cliente: